Search titles or people (v1)
Find IMDb movies, shows and episodes by title, or actors and crew by name, with year, rating, votes, poster and directors. Returns 25 matches per page; nothing matching returns empty results.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
query*string
A title such as the matrix, or a person's name such as morgan freeman with type=person.
Length
1 <= length <= 200type?string
title finds movies, shows and episodes; person finds actors and crew.
Default
"title"Value in
- "title"
- "person"
title_type?string
Limit a title search to one kind. tv covers series and mini-series. Ignored when type=person.
Value in
- "movie"
- "tv"
- "tv_episode"
- "music_video"
- "podcast"
- "video_game"
cursor?string
next_cursor from the previous page of the same request. Omit for the first page.
Length
length <= 2000Default
""curl -X GET "https://example.com/v1/imdb/search?query=dune" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "query": "dune", "type": "title", "title_type": null, "count": 0, "has_more": true, "next_cursor": "string", "results": [ { "kind": "title", "title_id": "tt0111161", "url": "https://www.imdb.com/title/tt0111161/", "title": "The Shawshank Redemption", "original_title": "The Shawshank Redemption", "type": "movie", "type_label": "Movie", "is_series": true, "year": 1994, "end_year": null, "rating": 9.3, "votes": 3261639, "image": { "url": "https://m.media-amazon.com/images/M/MV5BMDAyY2FhYjctNDc5OS00MDNlLThiMGUtY2UxYWVkNGY2ZjljXkEyXkFqcGc@._V1_.jpg", "width": 1200, "height": 1800 }, "directors": [ { "person_id": "nm0001104", "name": "Frank Darabont" } ], "stars": [ { "person_id": "nm0001104", "name": "Frank Darabont" } ] } ] }, "details": { "reason": "string", "message": "string" }}